### Enumeration

# Qmi CoreError

since: 1.0

#### Declaration

    error-domain Qmi.CoreError

#### Description [src]

Common errors that may be reported by libqmi-glib.

Available since: 1.0

#### Members

`QMI_CORE_ERROR_FAILED`

  Operation failed.

  - Value: `0`
  - Available since: 1.0
`QMI_CORE_ERROR_WRONG_STATE`

  Operation cannot be executed in the current state.

  - Value: `1`
  - Available since: 1.0
`QMI_CORE_ERROR_TIMEOUT`

  Operation timed out.

  - Value: `2`
  - Available since: 1.0
`QMI_CORE_ERROR_INVALID_ARGS`

  Invalid arguments given.

  - Value: `3`
  - Available since: 1.0
`QMI_CORE_ERROR_INVALID_MESSAGE`

  QMI message is invalid.

  - Value: `4`
  - Available since: 1.0
`QMI_CORE_ERROR_TLV_NOT_FOUND`

  TLV not found.

  - Value: `5`
  - Available since: 1.0
`QMI_CORE_ERROR_TLV_TOO_LONG`

  TLV is too long.

  - Value: `6`
  - Available since: 1.0
`QMI_CORE_ERROR_UNSUPPORTED`

  Not supported.

  - Value: `7`
  - Available since: 1.0
`QMI_CORE_ERROR_TLV_EMPTY`

  TLV has no value. Empty TLVs are not a real error, so this error type is never generated. Since 1.12. Deprecated 1.22.

  - Value: `8`
  - Available since: 1.0
`QMI_CORE_ERROR_UNEXPECTED_MESSAGE`

  QMI message is unexpected. Since 1.16.

  - Value: `9`
  - Available since: 1.0
`QMI_CORE_ERROR_INVALID_DATA`

  Invalid data found in the message. Since 1.24.6.

  - Value: `10`
  - Available since: 1.0

#### Type functions

###### qmi_core_error_get_string

Gets the nickname string for the `QmiCoreError` specified at `val`.

since: 1.0

###### qmi_core_error_quark

No description available.